# Copyright 2023-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

CRATES="
	addr2line@0.24.2
	adler2@2.0.0
	android-tzdata@0.1.1
	android_system_properties@0.1.5
	anstream@0.6.18
	anstyle-parse@0.2.6
	anstyle-query@1.1.2
	anstyle-wincon@3.0.6
	anstyle@1.0.10
	anyhow@1.0.95
	arraydeque@0.4.5
	arrayvec@0.4.12
	arrayvec@0.7.6
	autocfg@1.4.0
	backtrace@0.3.74
	bitflags@1.3.2
	bitflags@2.6.0
	bumpalo@3.16.0
	bytemuck@1.21.0
	bytemuck_derive@1.8.1
	byteorder-lite@0.1.0
	byteorder@1.5.0
	bytes@1.9.0
	cairo-rs@0.20.7
	cairo-sys-rs@0.20.7
	cc@1.2.6
	cfg-expr@0.17.2
	cfg-if@1.0.0
	chrono@0.4.39
	clap@4.5.23
	clap_builder@4.5.23
	clap_complete@4.5.40
	clap_complete_fig@4.5.2
	clap_complete_nushell@4.5.4
	clap_derive@4.5.18
	clap_lex@0.7.4
	colorchoice@1.0.3
	core-foundation-sys@0.8.7
	core_maths@0.1.0
	crc32fast@1.4.2
	dlib@0.5.2
	endi@1.1.0
	epoxy@0.1.0
	equivalent@1.0.1
	femtovg@0.11.3
	field-offset@0.3.6
	flate2@1.0.35
	flume@0.11.1
	fnv@1.0.7
	fontconfig@0.9.0
	fragile@2.0.0
	futures-channel@0.3.31
	futures-core@0.3.31
	futures-executor@0.3.31
	futures-io@0.3.31
	futures-macro@0.3.31
	futures-sink@0.3.31
	futures-task@0.3.31
	futures-util@0.3.31
	futures@0.3.31
	gdk-pixbuf-sys@0.20.7
	gdk-pixbuf@0.20.7
	gdk4-sys@0.9.5
	gdk4@0.9.5
	getrandom@0.2.15
	gimli@0.31.1
	gio-sys@0.20.8
	gio@0.20.7
	gl_generator@0.9.0
	glib-macros@0.20.7
	glib-sys@0.20.7
	glib@0.20.7
	glow@0.15.0
	gobject-sys@0.20.7
	graphene-rs@0.20.7
	graphene-sys@0.20.7
	gsk4-sys@0.9.5
	gsk4@0.9.5
	gtk4-macros@0.9.5
	gtk4-sys@0.9.5
	gtk4@0.9.5
	gvdb@0.6.1
	hashbrown@0.15.2
	heck@0.3.3
	heck@0.5.0
	hex_color@3.0.0
	iana-time-zone-haiku@0.1.2
	iana-time-zone@0.1.61
	image@0.25.5
	imgref@1.11.0
	indexmap@2.7.0
	is_terminal_polyfill@1.70.1
	itoa@1.0.14
	js-sys@0.3.76
	keycode@0.4.0
	keycode_macro@0.4.0
	khronos_api@2.2.0
	lazy_static@1.5.0
	libadwaita-sys@0.7.1
	libadwaita@0.7.1
	libc@0.2.169
	libloading@0.8.6
	libm@0.2.11
	lock_api@0.4.12
	log@0.4.22
	lru@0.12.5
	memchr@2.7.4
	memoffset@0.9.1
	miniz_oxide@0.8.2
	mio@1.0.3
	nanorand@0.7.0
	nodrop@0.1.14
	num-traits@0.2.19
	object@0.36.7
	once_cell@1.20.2
	pango-sys@0.20.7
	pango@0.20.7
	parking_lot@0.12.3
	parking_lot_core@0.9.10
	pin-project-lite@0.2.15
	pin-utils@0.1.0
	pkg-config@0.3.31
	ppv-lite86@0.2.20
	proc-macro-crate@3.2.0
	proc-macro2@1.0.92
	quick-xml@0.31.0
	quote@1.0.38
	rand@0.8.5
	rand_chacha@0.3.1
	rand_core@0.6.4
	redox_syscall@0.5.8
	relm4-css@0.9.0
	relm4-icons@0.9.0
	relm4-macros@0.9.1
	relm4@0.9.1
	resource@0.5.0
	rgb@0.8.50
	rustc-demangle@0.1.24
	rustc_version@0.4.1
	rustybuzz@0.20.1
	ryu@1.0.18
	safe-transmute@0.11.3
	same-file@1.0.6
	scopeguard@1.2.0
	semver@1.0.24
	serde@1.0.217
	serde_derive@1.0.217
	serde_json@1.0.134
	serde_spanned@0.6.8
	shared_library@0.1.9
	shlex@1.3.0
	signal-hook-registry@1.4.2
	slab@0.4.9
	slotmap@1.0.7
	smallvec@1.13.2
	socket2@0.5.8
	spin@0.9.8
	static_assertions@1.1.0
	strsim@0.11.1
	syn@2.0.93
	system-deps@7.0.3
	target-lexicon@0.12.16
	thiserror-impl@2.0.9
	thiserror@2.0.9
	tokio-macros@2.4.0
	tokio@1.42.0
	toml@0.8.19
	toml_datetime@0.6.8
	toml_edit@0.22.22
	tracing-attributes@0.1.28
	tracing-core@0.1.33
	tracing@0.1.41
	ttf-parser@0.25.1
	unicode-bidi-mirroring@0.4.0
	unicode-bidi@0.3.18
	unicode-ccc@0.4.0
	unicode-ident@1.0.14
	unicode-properties@0.1.3
	unicode-script@0.5.7
	unicode-segmentation@1.12.0
	utf8parse@0.2.2
	version-compare@0.2.0
	version_check@0.9.5
	walkdir@2.5.0
	wasi@0.11.0+wasi-snapshot-preview1
	wasm-bindgen-backend@0.2.99
	wasm-bindgen-macro-support@0.2.99
	wasm-bindgen-macro@0.2.99
	wasm-bindgen-shared@0.2.99
	wasm-bindgen@0.2.99
	web-sys@0.3.76
	winapi-util@0.1.9
	windows-core@0.52.0
	windows-sys@0.52.0
	windows-sys@0.59.0
	windows-targets@0.52.6
	windows_aarch64_gnullvm@0.52.6
	windows_aarch64_msvc@0.52.6
	windows_i686_gnu@0.52.6
	windows_i686_gnullvm@0.52.6
	windows_i686_msvc@0.52.6
	windows_x86_64_gnu@0.52.6
	windows_x86_64_gnullvm@0.52.6
	windows_x86_64_msvc@0.52.6
	winnow@0.6.20
	xdg@2.5.2
	xml-rs@0.7.0
	yeslogic-fontconfig-sys@6.0.0
	zerocopy-derive@0.7.35
	zerocopy@0.7.35
	zvariant@4.2.0
	zvariant_derive@4.2.0
	zvariant_utils@2.1.0
"

inherit cargo desktop xdg

DESCRIPTION="A modern screenshot annotation tool inspired by Swappy and Flameshot."
HOMEPAGE="https://github.com/gabm/satty"

SRC_URI="
	https://github.com/gabm/Satty/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
	${CARGO_CRATE_URIS}
"
M_PN=Satty
S="${WORKDIR}/${M_PN}-${PV}"
KEYWORDS="~amd64"

LICENSE="MPL-2.0"
# Dependent crate licenses
LICENSE+="
	Apache-2.0 Apache-2.0-with-LLVM-exceptions CC0-1.0 ISC MIT
	Unicode-3.0 ZLIB
"
SLOT="0"

RDEPEND="
	dev-libs/glib:2
	media-libs/fontconfig
	media-libs/libepoxy
	media-libs/mesa[opengl]
	media-libs/graphene
	gui-libs/libadwaita
	gui-libs/gtk:4
	x11-libs/cairo
	x11-libs/gdk-pixbuf:2
	x11-libs/pango
"

QA_FLAGS_IGNORED="usr/bin/${PN}"

src_install() {
	dodoc README.md
	
	dobin "$(cargo_target_dir)"/satty
	doicon "${S}/assets/satty.svg"
	domenu "${S}/satty.desktop"
}
